Skip to main content

Request quote

POST 

/quotes

For fixed rate shifts, a quote should be requested first.

Some networks only support variable rate shifts. Check depositVariableOnly and settleVariableOnly on /v2/coins before requesting a quote.

A quote can be requested for either a depositAmount or a settleAmount.

When defining non-native tokens like AXS and USDT for depositCoin and/or settleCoin, the depositNetwork and settleNetwork fields must also be specified. This also applies to native tokens like ETH that supports multiple networks. depositCoin can also be a token contract address for the selected depositNetwork when you need to target a specific token implementation.

info

When a quote is created with a contract address in depositCoin, the response will normalize depositCoin back to the canonical asset ticker, such as USDC.

commissionRate optional parameter can be used to adjust rates for your users. The default commission rate is 0.5%. Rates below the default offer better rates by reducing affiliate commission, while rates above the default are passed on to the user. The maximum commission rate is 2%.

info

Use the same commissionRate in the /v2/pair and /v2/pairs endpoints as when creating the shift/quotes to get an accurate rate information. See Monetization for detailed examples of how commission rates affect rates.

If the API requests are sent from the integration’s own server, the x-user-ip header must be set to the end-user IP address; otherwise, the requests will be blocked. See Permissions.

After the quote request, a fixed rate shift should be created using the `id` returned by the /v2/quotes endpoint.

A quote expires after 15 minutes.

warning

Authenticate by signing the request or with the legacy x-sideshift-secret header. Your Ed25519 secret key and your account secret each grant full access to your account. Never share them.

Request​

Header Parameters

    x-sideshift-key string

    Your Ed25519 public key, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-timestamp string

    Current Unix time in milliseconds, the same value used in the signed message. Must be within 60 seconds of server time. Required when signing the request.

    x-sideshift-signature string

    Ed25519 signature of timestamp + METHOD + path + body, hex encoded. Required when signing the request. See Authentication.

    x-sideshift-secret string

    Legacy account secret. Not needed when the request is signed with the x-sideshift-key, x-sideshift-timestamp and x-sideshift-signature headers. See Authentication.

    x-user-ip string

    end-user IP address for integrations API requests

Body

    depositCoinstringrequired

    ticker or token contract address for the selected depositNetwork

    depositNetworkstring

    required for non-native tokens (e.g. AXS, USDT) and multi-network native tokens (e.g. ETH).

    settleCoinstringrequired
    settleNetworkstring

    required for non-native tokens (e.g. AXS, USDT) and multi-network native tokens (e.g. ETH).

    depositAmountstringnullablerequired

    if null, settleAmount is required

    settleAmountstringnullablerequired

    if null, depositAmount is required

    affiliateIdstringrequired

Responses​

OK
Schema
    idstringrequired
    createdAtstringrequired
    depositCoinstringrequired
    settleCoinstringrequired
    depositNetworkstringrequired
    settleNetworkstringrequired
    expiresAtstringrequired
    depositAmountstringrequired
    settleAmountstringrequired
    ratestringrequired
    affiliateIdstring